package com.muchinfo.mtp3interface.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muchinfo.mtp3pojos.entity.Market;
import com.muchinfo.mtp3pojos.entity.Usergroup;
import com.muchinfo.mtp3pojos.vo.investor.PersonalizationDelParam;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 市场表 Mapper 接口
 * </p>
 *
 * @author XKF
 * @since 2024-07-02
 */
@Mapper
public interface IMarketMapper extends BaseMapper<Market> {

    List<Market> getMarketsNameByUseridAndrole(@Param("uid") Long uid, @Param("roletype") List<Integer> roletype, @Param("isqq") Integer isqq);

    List<Market> getNoTradeConfigMarkets(@Param("areauserid") Long areauserid, @Param("usergroupid") Long usergroupid);

    List<Usergroup> getNoTradeConfigGroups(@Param("areauserid") Long areauserid);

    List<Market> queryAreaGoodsMarkets(@Param("userid") Long userid);

    void updateExchareaid(@Param("marketids") List<Integer> marketids, @Param("exchareaid") Long exchareaid);

    void updateExchareaidNull(@Param("userid") Long userid);

    List<Market> getNoTradeConfigMarketsForAccount(@Param("vo") PersonalizationDelParam param);
}
